# TODO:
# - configure: Using jni: no (JNI requires --enable-module-ecdh, which is experimental)

# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	tests		# unit tests
#
Summary:	Optimized C library for EC operations on curve secp256k1
Summary(pl.UTF-8):	Zoptymalizowana biblioteka C do operacji EC na krzywej secp256k1
Name:		libsecp256k1
Version:	0.1.0.20
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/libbitcoin/secp256k1/releases
Source0:	https://github.com/libbitcoin/secp256k1/archive/v%{version}/secp256k1-%{version}.tar.gz
# Source0-md5:	6f1a2419e6a76f8103b9d858b8213049
URL:		https://libbitcoin.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Optimized C library for EC operations on curve secp256k1.

%description -l pl.UTF-8
Zoptymalizowana biblioteka C do operacji EC na krzywej secp256k1.

%package devel
Summary:	Header files for secp256k1 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki secp256k1
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gmp-devel

%description devel
Header files for secp256k1 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki secp256k1.

%package static
Summary:	Static secp256k1 library
Summary(pl.UTF-8):	Statyczna biblioteka secp256k1
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static secp256k1 library.

%description static -l pl.UTF-8
Statyczna biblioteka secp256k1.

%prep
%setup -q -n secp256k1-%{version}

%build
%{__libtoolize}
%{__aclocal} -I build-aux/m4
%{__autoconf}
%{__autoheader}
%{__automake}
# NOTE: --enable-module-recovery to avoid: https://github.com/libbitcoin/libbitcoin/issues/397
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--enable-module-recovery
%{__make}

%if %{with tests}
./tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libsecp256k1.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.md SECURITY.md
%attr(755,root,root) %{_libdir}/libsecp256k1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsecp256k1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsecp256k1.so
%{_includedir}/secp256k1.h
%{_includedir}/secp256k1_preallocated.h
%{_includedir}/secp256k1_recovery.h
%{_pkgconfigdir}/libsecp256k1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsecp256k1.a
%endif
%changelog
* Sun Jul 10 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsecp256k1.git;a=log;h=master

* Sun Jul 10 2022 Jakub Bogusz <qboosh@pld-linux.org> c9f8f0a
- updated to 0.1.0.20

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> eb0b7d0
- updated to 0.1.0.16 snapshot

* Mon Apr 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 791992b
- cleanup, fixed License tag, release 2

* Fri Aug 25 2017 Mateusz Korniak <matkor@pld-linux.org> f02db24
- Rel 1.

* Fri Aug 25 2017 Mateusz Korniak <matkor@pld-linux.org> 4fde710
- -enable-module-recovery to produce needed secp256k1_recovery.h. Rel 0.2

* Fri Aug 25 2017 Mateusz Korniak <matkor@pld-linux.org> 1874c0f
- Initial version 0.1.0.13. Rel. 0.1.

